Ruby On Rails in Ubuntu 14.04

Hi friends, I am using Ubuntu 14.04. At the time of Ruby on rails installing there are number of errors i facesd.
when i use command rvm intsall ruby then it gives “no command rvm found”
but when i check ruby -v and rails -v both are shows its versions.
when i use
rails new app then it shows
x64_mingw is not a valid platform. and much more.
please help me

This list is for discussion of matters related to the development of
Rails itself, not for user support. This would be better to be asked
on the rails talk list, and I see that you have already done that.

Colin